OPTGET(3)

NAME
optget - option parse assist

SYNOPSIS
    #include <option.h>
    Opt_t
    {
    };
    Optdisc_t
    {
    	unsigned long  version;
    	unsigned long  flags;
    	char*          catalog;
    	Optinfo_f      infof;
    };
    Opt_t   opt_info;
    void    optinit(Optdisc_t* disc, Error_f errorf);
    int     optget(char** argv, const char* usage);
    int     optstr(const char* string, const char* usage);
    char*   optusage(const char* opts);

DESCRIPTION

SEE ALSO